<?php

namespace Drupal\radix_zaya_starterkit;

use Drupal\Core\Theme\StarterKitInterface;

/**
 * Implements StarterKit to process the subtheme creation.
 */
final class StarterKit implements StarterKitInterface {

  /**
   * {@inheritdoc}
   */
  public static function postProcess(string $working_dir, string $machine_name, string $theme_name): void {
    $readme_file = "$working_dir/README.md";
    try {
      // Echo "Generating readme.\n";.
      file_put_contents($readme_file, "$theme_name theme, generated from radix_zaya_starterkit. Additional information on generating themes can be found in the [Starterkit documentation](https://www.drupal.org/docs/core-modules-and-themes/core-themes/starterkit-theme).\n This theme must live in themes/custom or themes/contrib to work");

      // Echo "Generating package.json.\n";.
      $package_json = file_get_contents("$working_dir/package.json");
      $package_json = preg_replace("/\"name\": \"radix_zaya_starterkit\"/", "\"name\": \"$machine_name\"", $package_json);
      file_put_contents("$working_dir/package.json", $package_json);
    }
    catch (\Throwable $th) {
    }
  }

}
